diff --git a/mobile/lib/screens/club/tabs/teams_tab.dart b/mobile/lib/screens/club/tabs/teams_tab.dart
index e01725d..eedf59d 100644
--- a/mobile/lib/screens/club/tabs/teams_tab.dart
+++ b/mobile/lib/screens/club/tabs/teams_tab.dart
@@ -93,8 +93,9 @@ class TeamsTab extends StatelessWidget {
                             value: 1,
                             groupValue: teamGenerationMethod,
                             onChanged: (value) {
-                              if (value != null)
+                              if (value != null) {
                                 onChangeTeamGenerationMethod(value);
+                              }
                             },
                           ),
                           const Text('팀 인원수로 나누기'),
@@ -131,8 +132,9 @@ class TeamsTab extends StatelessWidget {
                             value: 2,
                             groupValue: teamGenerationMethod,
                             onChanged: (value) {
-                              if (value != null)
+                              if (value != null) {
                                 onChangeTeamGenerationMethod(value);
+                              }
                             },
                           ),
                           const Text('팀 개수로 나누기'),
@@ -463,11 +465,12 @@ class TeamsTab extends StatelessWidget {
               final memberCount = team.memberIds.length;
 
               return DragTarget<Map<String, dynamic>>(
-                onWillAccept: (data) =>
-                    data != null && data['participant'] is Participant,
-                onAccept: (data) {
-                  final Participant p = data['participant'] as Participant;
-                  final Team from = data['fromTeam'] as Team;
+                onWillAcceptWithDetails: (details) =>
+                    details.data['participant'] is Participant,
+                onAcceptWithDetails: (details) {
+                  final Participant p =
+                      details.data['participant'] as Participant;
+                  final Team from = details.data['fromTeam'] as Team;
                   if (onMoveParticipant != null) {
                     onMoveParticipant!(p, from, team, team.memberIds.length);
                   }
@@ -520,12 +523,12 @@ class TeamsTab extends StatelessWidget {
                     children: [
                       // 상단 드롭존: 리스트 맨 앞(인덱스 0)에 삽입
                       DragTarget<Map<String, dynamic>>(
-                        onWillAccept: (data) =>
-                            data != null && data['participant'] is Participant,
-                        onAccept: (data) {
+                        onWillAcceptWithDetails: (details) =>
+                            details.data['participant'] is Participant,
+                        onAcceptWithDetails: (details) {
                           final Participant dp =
-                              data['participant'] as Participant;
-                          final Team from = data['fromTeam'] as Team;
+                              details.data['participant'] as Participant;
+                          final Team from = details.data['fromTeam'] as Team;
                           if (onMoveParticipant != null) {
                             onMoveParticipant!(dp, from, team, 0);
                           }
@@ -558,13 +561,12 @@ class TeamsTab extends StatelessWidget {
 
                         // 행 자체를 드롭 타깃으로 만들어 해당 위치로 삽입(같은 팀 내 재정렬 및 타팀에서 특정 위치 삽입 지원)
                         return DragTarget<Map<String, dynamic>>(
-                          onWillAccept: (data) =>
-                              data != null &&
-                              data['participant'] is Participant,
-                          onAccept: (data) {
+                          onWillAcceptWithDetails: (details) =>
+                              details.data['participant'] is Participant,
+                          onAcceptWithDetails: (details) {
                             final Participant dp =
-                                data['participant'] as Participant;
-                            final Team from = data['fromTeam'] as Team;
+                                details.data['participant'] as Participant;
+                            final Team from = details.data['fromTeam'] as Team;
                             if (onMoveParticipant != null) {
                               onMoveParticipant!(dp, from, team, memberIndex);
                             }
@@ -624,9 +626,7 @@ class TeamsTab extends StatelessWidget {
                                           ? Colors.pink
                                           : Colors.blue;
                                       return CircleAvatar(
-                                        backgroundColor: color.withValues(
-                                          alpha: 0.1,
-                                        ),
+                                        backgroundColor: color.withOpacity(0.1),
                                         child: Icon(
                                           icon,
                                           size: 18,
@@ -687,12 +687,12 @@ class TeamsTab extends StatelessWidget {
                                                   ),
                                               decoration: BoxDecoration(
                                                 color: Colors.deepPurple
-                                                    .withValues(alpha: 0.10),
+                                                    .withOpacity(0.10),
                                                 borderRadius:
                                                     BorderRadius.circular(12),
                                                 border: Border.all(
                                                   color: Colors.deepPurple
-                                                      .withValues(alpha: 0.25),
+                                                      .withOpacity(0.25),
                                                 ),
                                               ),
                                               child: Text(
@@ -780,7 +780,7 @@ class TeamsTab extends StatelessWidget {
                                                       : Colors.blue;
                                                   return CircleAvatar(
                                                     backgroundColor: color
-                                                        .withValues(alpha: 0.1),
+                                                        .withOpacity(0.1),
                                                     child: Icon(
                                                       icon,
                                                       size: 18,
@@ -1054,12 +1054,12 @@ class TeamsTab extends StatelessWidget {
                       }),
                       // 하단 드롭존: 리스트 맨 끝(인덱스 length)에 삽입
                       DragTarget<Map<String, dynamic>>(
-                        onWillAccept: (data) =>
-                            data != null && data['participant'] is Participant,
-                        onAccept: (data) {
+                        onWillAcceptWithDetails: (details) =>
+                            details.data['participant'] is Participant,
+                        onAcceptWithDetails: (details) {
                           final Participant dp =
-                              data['participant'] as Participant;
-                          final Team from = data['fromTeam'] as Team;
+                              details.data['participant'] as Participant;
+                          final Team from = details.data['fromTeam'] as Team;
                           if (onMoveParticipant != null) {
                             onMoveParticipant!(
                               dp,
@@ -1130,7 +1130,7 @@ class _UnassignedChip extends StatelessWidget {
 
     return Chip(
       avatar: CircleAvatar(
-        backgroundColor: color.withValues(alpha: 0.1),
+        backgroundColor: color.withOpacity(0.1),
         child: Icon(icon, size: 16, color: color),
       ),
       label: Row(
@@ -1158,10 +1158,10 @@ class _UnassignedChip extends StatelessWidget {
                         vertical: 2,
                       ),
                       decoration: BoxDecoration(
-                        color: Colors.deepPurple.withValues(alpha: 0.10),
+                        color: Colors.deepPurple.withOpacity(0.10),
                         borderRadius: BorderRadius.circular(12),
                         border: Border.all(
-                          color: Colors.deepPurple.withValues(alpha: 0.25),
+                          color: Colors.deepPurple.withOpacity(0.25),
                         ),
                       ),
                       child: Text(
@@ -1182,10 +1182,10 @@ class _UnassignedChip extends StatelessWidget {
                           vertical: 2,
                         ),
                         decoration: BoxDecoration(
-                          color: Colors.indigo.withValues(alpha: 0.10),
+                          color: Colors.indigo.withOpacity(0.10),
                           borderRadius: BorderRadius.circular(12),
                           border: Border.all(
-                            color: Colors.indigo.withValues(alpha: 0.25),
+                            color: Colors.indigo.withOpacity(0.25),
                           ),
                         ),
                         child: Text(
diff --git a/mobile/lib/screens/public_event/join_dialog.dart b/mobile/lib/screens/public_event/join_dialog.dart
index c670a24..fcbf433 100644
--- a/mobile/lib/screens/public_event/join_dialog.dart
+++ b/mobile/lib/screens/public_event/join_dialog.dart
@@ -41,7 +41,7 @@ class _JoinDialogState extends State<JoinDialog> {
       Navigator.of(context).pop(true);
     } catch (e) {
       if (!mounted) return;
-      ScaffoldMessenger.of(context).showSnackBar(SnackBar(content: Text('신청 실패: ' + e.toString())));
+      ScaffoldMessenger.of(context).showSnackBar(SnackBar(content: Text('신청 실패: $e')));
     } finally {
       if (mounted) setState(() => _saving = false);
     }
diff --git a/mobile/lib/screens/public_event/public_event_entry_screen.dart b/mobile/lib/screens/public_event/public_event_entry_screen.dart
index 8547c9a..9e9a2b1 100644
--- a/mobile/lib/screens/public_event/public_event_entry_screen.dart
+++ b/mobile/lib/screens/public_event/public_event_entry_screen.dart
@@ -5,14 +5,19 @@ import 'package:lanebow/services/public_event_service.dart';
 class PublicEventEntryScreen extends StatefulWidget {
   final String publicHash;
   final PublicEventService? service;
-  const PublicEventEntryScreen({super.key, required this.publicHash, this.service});
+  const PublicEventEntryScreen({
+    super.key,
+    required this.publicHash,
+    this.service,
+  });
 
   @override
   State<PublicEventEntryScreen> createState() => _PublicEventEntryScreenState();
 }
 
 class _PublicEventEntryScreenState extends State<PublicEventEntryScreen> {
-  late final PublicEventService _service = widget.service ?? PublicEventService();
+  late final PublicEventService _service =
+      widget.service ?? PublicEventService();
   final TextEditingController _pw = TextEditingController();
   bool _loading = false;
   String? _error;
@@ -37,7 +42,9 @@ class _PublicEventEntryScreenState extends State<PublicEventEntryScreen> {
       // 성공 시 토큰 저장은 서비스가 처리. 공개 화면으로 이동
       if (!mounted) return;
       Navigator.of(context).pushReplacement(
-        MaterialPageRoute(builder: (_) => PublicEventScreen(publicHash: widget.publicHash)),
+        MaterialPageRoute(
+          builder: (_) => PublicEventScreen(publicHash: widget.publicHash),
+        ),
       );
     } catch (e) {
       // 401/needPassword 케이스 포함: 간단히 비번 입력 노출
@@ -63,8 +70,6 @@ class _PublicEventEntryScreenState extends State<PublicEventEntryScreen> {
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
           children: [
-            Text('hash: ' + widget.publicHash),
-            const SizedBox(height: 16),
             if (_loading) const LinearProgressIndicator(),
             if (_error != null) ...[
               Text(_error!, style: const TextStyle(color: Colors.red)),
diff --git a/mobile/lib/screens/public_event/public_event_screen.dart b/mobile/lib/screens/public_event/public_event_screen.dart
index 9c8890e..2e2f3b3 100644
--- a/mobile/lib/screens/public_event/public_event_screen.dart
+++ b/mobile/lib/screens/public_event/public_event_screen.dart
@@ -1,5 +1,7 @@
 import 'package:flutter/material.dart';
 import 'dart:async';
+import 'dart:convert';
+import 'package:shared_preferences/shared_preferences.dart';
 import 'package:lanebow/services/public_event_service.dart';
 import 'package:dio/dio.dart';
 import 'package:lanebow/screens/public_event/public_event_entry_screen.dart';
@@ -7,9 +9,11 @@ import 'package:lanebow/models/public_event.dart';
 import 'package:lanebow/models/public_participant.dart';
 import 'package:lanebow/models/public_team.dart';
 import 'package:lanebow/utils/ranking_utils_public.dart';
+import 'package:lanebow/utils/enum_mappings.dart';
+import 'package:lanebow/theme/badges.dart';
 import 'package:lanebow/screens/public_event/join_dialog.dart';
-
-enum _ResultSort { total, avg }
+import 'package:lanebow/screens/public_event/widgets/personal_views.dart';
+import 'package:lanebow/widgets/public_user_widgets.dart';
 
 class PublicEventScreen extends StatefulWidget {
   final String publicHash;
